%global debug_package %{nil}

Name: pidgin-mattermost
License: GPLv2
Group: Applications/Internet
Summary: Mattermost integration for Pidgin IM
Version: 0.1
Release: 2%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: tar

Requires: cern-get-sso-cookie
Requires: libpurple
Requires: matterircd

%description
Pidgin integration with mattermost platform.

Provides a login helper for mattermost with gitlab authentication,
while using matterircd to communicate with mattermost.

see README for information.

%files
%doc README
%{_bindir}/%{name}-helper

%post

%preun

%postun

%files
#defattr(0755,root,root,-)
%doc README
%{_bindir}/%{name}-helper
%config(noreplace)/etc/sysconfig/%{name}

%prep
%setup -q #-n %{name}-v%{version}

%build


cat >> %{name}.sysconfig << EOF
# pidgin-mattermost login helper options
#
#
# default options: 
#
# MIRCDSVCUSER="mattermost" 
# MMUSER=\$USER
# MMGITLABAUTH="https://cern.ch/mattermost/api/v3/oauth/gitlab/login"
# MMAUTHTOKEN="MMAUTHTOKEN"
# MMDEFTEAM="it-dep"
# MMSRV="mattermost.web.cern.ch"

EOF
	
%install

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/

install -m 755 %{name}-helper $RPM_BUILD_ROOT%{_bindir}/
install -m 644 %{name}.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%changelog
* Tue Dec 06 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-2
- fix helper script

* Mon Dec 05 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-1
- initial release.


